Pular para o conteúdo principal
GET
/
v2
/
enterprise
/
metrics
/
prs
Endpoint de métricas de PR do Enterprise
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/metrics/prs \
  --header 'Authorization: Bearer <token>'
{
  "prs_closed": 123,
  "prs_merged": 123,
  "prs_opened": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Requer uma chave de API pessoal de administrador da Enterprise. Retorna métricas de pull requests da sua Enterprise, incluindo a quantidade de PRs abertos, fechados e mesclados.

Autorizações

Authorization
string
header
obrigatório

Chave de API pessoal (apk_user_*) somente para administradores do Enterprise

Parâmetros de consulta

start_date
string<date-time> | null
end_date
string<date-time> | null
start
string<date-time> | null
end
string<date-time> | null
org_ids
string[] | null
user_ids
string[] | null

Resposta

Resposta bem-sucedida

prs_closed
integer
obrigatório
prs_merged
integer
obrigatório
prs_opened
integer
obrigatório